section {
  width: 10%;
  height: 10%;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 10vh;
  background: #112240;
  animation: animateBg 10s linear infinite;
}

@keyframes animateBg {
  0% {
       filter: hue-rotate(0deg);
  }

  100% {
       filter: hue-rotate(360deg);
  }
}

section .preloader {
  position: relative;
  width: 5.5rem;
  height: 5.5rem;

}

section .preloader span {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: rotate(calc(20deg * var(--i)));
}

section .preloader span::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background: #00cffd;
  box-shadow: 0px 0px 10px #00cffd,
       0px 0px 20px #00cffd,
       0px 0px 40px #112240,
       0px 0px 80px #00cffd,
       0px 0px 100px #112240;
  animation: animate 2s linear infinite;
  animation-delay: calc(0.1s * var(--i))
}

@keyframes animate {
  0% {
       transform: scale(1);
  }

  80%,
  100% {
       transform: scale(0);
  }
}
